%define build_with_qt5 1

Name:		afce
Version:	0.9.8
Release:	%mkrel 2
Summary:	Algorithm Flowchart Editor
License:	GPLv3
Group:		Education
URL:		http://viktor-zin.github.io/afce
# https://github.com/viktor-zin/afce/archive/v%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
%if %{build_with_qt5}
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	qttools5
BuildRequires:	qttranslations5
%else
BuildRequires:	qt4-devel
%endif

%description
Flowchart editor with code generation and vector graphics.
AFCE allow to create, edit, print and export flowcharts easyly
for a few minutes. Flowcharts can be exported to several grafical
formats including SVG and PNG.

%prep
%setup -q

%build
%if %{build_with_qt5}
%qmake_qt5
%else
%qmake_qt4
%endif
%make

%install
%makeinstall INSTALL_ROOT=%{buildroot}

%files
%doc README.RU.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/afc.ico
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.9.8-2.mga6
+ Revision: 959478
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 alexl <alexl> 0.9.8-1.mga6
+ Revision: 844670
- new url
- version 0.9.8

* Fri Jan 02 2015 alexl <alexl> 0.9.7-4.mga5
+ Revision: 808246
- rebuild for qt

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-3.mga5
+ Revision: 744658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 677711
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 alexl <alexl> 0.9.7-1.mga5
+ Revision: 670704
- version 0.9.7

* Mon Sep 01 2014 alexl <alexl> 0.9.7-0.git20140901.1.mga5
+ Revision: 670594
- the latest git snapshot with qt5 support
- move patches and sources, which in upstream now
- new spec file with according developed version 0.9.7
- added GenericName

* Mon Feb 17 2014 alexl <alexl> 0.9.5-3.mga5
+ Revision: 593985
- make the untranslated 'Condition' string translatable
- fix incoherent behaviour after closing an inner window via the cross button

* Fri Feb 14 2014 alexl <alexl> 0.9.5-2.mga5
+ Revision: 591462
- fix locales (mga#12767)

* Fri Feb 14 2014 alexl <alexl> 0.9.5-1.mga5
+ Revision: 591180
- add make clean
- new url and description
- imported package afce

